## debugspy debugspy |

## Properties

GChecksumType | checksum-type | Read / Write
gboolean | silent | Read / Write

## Types and Values

struct | GstDebugSpy

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstDebugSpy

## Description

A spy element that can provide information on buffers going through it, with bus messages.

#### Example launch line

    1
    gst-launch-1.0 -m videotestsrc ! debugspy ! fakesink

## Synopsis

### Element Information

plugin | debugutilsbad
author | Guillaume Emont <gemont@igalia.com>
class | Filter/Analyzer/Debug

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstDebugSpy

    struct GstDebugSpy;

## Property Details

### The `“checksum-type”` property

      “checksum-type”            GChecksumType

Checksum algorithm to use.

Flags: Read / Write

Default value: Use the SHA-1 hashing algorithm

### The `“silent”` property

      “silent”                   gboolean

Produce verbose output ?.

Flags: Read / Write

Default value: FALSE